public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jason Zaman" <perfinion@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-p2p/rtorrent/
Date: Mon,  5 Aug 2019 13:50:12 +0000 (UTC)	[thread overview]
Message-ID: <1565012995.3aeebc3b9dbf73553ed3aadee067313177e500aa.perfinion@gentoo> (raw)

commit:     3aeebc3b9dbf73553ed3aadee067313177e500aa
Author:     Stephen Shkardoon <ss23 <AT> ss23 <DOT> geek <DOT> nz>
AuthorDate: Wed Jul 31 14:44:06 2019 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Mon Aug  5 13:49:55 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3aeebc3b

net-p2p/rtorrent: Add version 0.9.8

Also removes dependency on dev-libs/libsigc++

Closes: https://github.com/gentoo/gentoo/pull/12587
Bug: https://bugs.gentoo.org/687996
Signed-off-by: Stephen Shkardoon <ss23 <AT> ss23.geek.nz>
Package-Manager: Portage-2.3.66, Repoman-2.3.16
Signed-off-by: Jason Zaman <perfinion <AT> gentoo.org>

 net-p2p/rtorrent/Manifest              |  1 +
 net-p2p/rtorrent/rtorrent-0.9.8.ebuild | 68 ++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/net-p2p/rtorrent/Manifest b/net-p2p/rtorrent/Manifest
index b7c90d413c5..63aa80a6894 100644
--- a/net-p2p/rtorrent/Manifest
+++ b/net-p2p/rtorrent/Manifest
@@ -1 +1,2 @@
 DIST rtorrent-0.9.7.tar.gz 610149 BLAKE2B 3f1316b0142dade9662630ad40132c5968d7b0ded32d7ae13d1ec1fdb7fec794812203fece367bf6abfd02212ed94d308046d40eb3e7562c408e8da13b23c23d SHA512 e663bd8984bcec91868beaf16d215708bdea8872338365ba6a05c9ea830b2aff045257bbc8bd0414d84009ee85852822c97bb073dfb41c21e3b0081ecaeecc00
+DIST rtorrent-0.9.8.tar.gz 647523 BLAKE2B 3562ed03dee3baa4a702d20c7c91b9248d9de0f25d1f8cd182863101f293a0ef13cb49164e4d16b25e72a4fbe1cc1a2fbde176d3068c749edbcb2287ef260b2b SHA512 016685948d0290694ab9635ae218c7acd876e6d45bea1bdba3a29c545e64f5d824c5e2f6693a4c2e9200196177881d54f312d72e0a19742bd74a03bd19ca05c7

diff --git a/net-p2p/rtorrent/rtorrent-0.9.8.ebuild b/net-p2p/rtorrent/rtorrent-0.9.8.ebuild
new file mode 100644
index 00000000000..bd9462e4dd9
--- /dev/null
+++ b/net-p2p/rtorrent/rtorrent-0.9.8.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools linux-info systemd
+
+DESCRIPTION="BitTorrent Client using libtorrent"
+HOMEPAGE="https://rakshasa.github.io/rtorrent/"
+SRC_URI="http://rtorrent.net/downloads/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE="daemon debug selinux test xmlrpc"
+
+COMMON_DEPEND="~net-libs/libtorrent-0.13.${PV##*.}
+	>=net-misc/curl-7.19.1
+	sys-libs/ncurses:0=
+	xmlrpc? ( dev-libs/xmlrpc-c )"
+RDEPEND="${COMMON_DEPEND}
+	daemon? ( app-misc/screen )
+	selinux? ( sec-policy/selinux-rtorrent )
+"
+DEPEND="${COMMON_DEPEND}
+	dev-util/cppunit
+	virtual/pkgconfig"
+
+DOCS=( doc/rtorrent.rc )
+
+pkg_setup() {
+	if ! linux_config_exists || ! linux_chkconfig_present IPV6; then
+		ewarn "rtorrent will not start without IPv6 support in your kernel"
+		ewarn "without further configuration. Please set bind=0.0.0.0 or"
+		ewarn "similar in your rtorrent.rc"
+		ewarn "Upstream bug: https://github.com/rakshasa/rtorrent/issues/732"
+	fi
+}
+
+src_prepare() {
+	default
+
+	# https://github.com/rakshasa/rtorrent/issues/332
+	cp "${FILESDIR}"/rtorrent.1 "${S}"/doc/ || die
+
+	eautoreconf
+}
+
+src_configure() {
+	default
+
+	# configure needs bash or script bombs out on some null shift, bug #291229
+	CONFIG_SHELL=${BASH} econf \
+		--disable-dependency-tracking \
+		$(use_enable debug) \
+		$(use_with xmlrpc xmlrpc-c)
+}
+
+src_install() {
+	default
+	doman doc/rtorrent.1
+
+	if use daemon; then
+		newinitd "${FILESDIR}/rtorrentd.init" rtorrentd
+		newconfd "${FILESDIR}/rtorrentd.conf" rtorrentd
+		systemd_newunit "${FILESDIR}/rtorrentd_at.service" "rtorrentd@.service"
+	fi
+}


             reply	other threads:[~2019-08-05 13:50 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-08-05 13:50 Jason Zaman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-29  4:47 [gentoo-commits] repo/gentoo:master commit in: net-p2p/rtorrent/ Sam James
2024-01-18 19:04 Arthur Zamarin
2024-01-03 22:30 Sam James
2023-10-03 22:06 Sam James
2023-10-03 22:01 Sam James
2022-09-15 15:10 Andreas Sturmlechner
2022-09-15 11:31 Sam James
2022-09-15  6:47 Agostino Sarubbo
2022-07-02 13:37 Sam James
2022-07-02 13:37 Sam James
2022-04-25  6:29 Jakov Smolić
2022-04-25  6:29 Jakov Smolić
2021-01-11 19:20 Sam James
2021-01-06 15:06 Fabian Groffen
2020-07-10 18:50 Sam James
2019-12-12 10:59 Agostino Sarubbo
2019-12-11 10:47 Agostino Sarubbo
2018-08-10  8:31 Michał Górny
2018-08-09 16:11 Jason Zaman
2018-06-17 18:44 Andreas Sturmlechner
2018-01-19 12:23 Jason Zaman
2017-11-10 23:43 Sergei Trofimovich
2017-11-10 23:43 Sergei Trofimovich
2017-11-03 21:52 Sergei Trofimovich
2017-11-03  7:58 Jason Zaman
2017-08-19 10:07 Jason Zaman
2017-05-14 10:21 Jeroen Roovers
2016-04-07 10:26 Jeroen Roovers
2016-01-30  9:40 Pacho Ramos
2016-01-26 14:16 Jason Zaman
2016-01-17 18:24 Agostino Sarubbo
2015-12-25 15:13 Agostino Sarubbo
2015-08-16 14:20 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1565012995.3aeebc3b9dbf73553ed3aadee067313177e500aa.perfinion@gentoo \
    --to=perfinion@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox